%define upstream_name    Dist-Zilla-PluginBundle-BINGOS
%define upstream_version 0.20

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    BeLike::BINGOS when you build your dists
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 4.200.6
BuildRequires: perl(Dist::Zilla::Plugin::ChangelogFromGit) >= 0.6.0
BuildRequires: perl(Dist::Zilla::Plugin::Clean) >= 0.20.0
BuildRequires: perl(Dist::Zilla::Plugin::GithubMeta) >= 0.100.0
BuildRequires: perl(Dist::Zilla::Plugin::MetaJSON) >= 4.200.6
BuildRequires: perl(Dist::Zilla::Plugin::PkgVersion) >= 4.200.6
BuildRequires: perl(Dist::Zilla::Plugin::PodCoverageTests) >= 4.200.6
BuildRequires: perl(Dist::Zilla::Plugin::PodSyntaxTests) >= 4.200.6
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver) >= 3.101.641
BuildRequires: perl(Dist::Zilla::Plugin::ReadmeFromPod) >= 0.140.0
BuildRequires: perl(Dist::Zilla::Plugin::Test::Compile) >= 1.112.400
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::PluginRemover)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Moose) >= 1.80.0
BuildArch:  noarch

%description
This is a the Dist::Zilla manpage PluginBundle. It is roughly equivalent to
the following dist.ini:

  [@Basic]

  [MetaJSON]
  [PodSyntaxTests]
  [PodCoverageTests]

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.200.0-7.mga10
+ Revision: 2198334
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.200.0-6.mga9
+ Revision: 1803110
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.200.0-5.mga8
+ Revision: 1494158
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.200.0-4.mga7
+ Revision: 1267312
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.200.0-3.mga6
+ Revision: 1025926
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.200.0-2.mga6
+ Revision: 969345
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 0.200.0-1.mga6
+ Revision: 868392
- update to 0.20

* Wed Oct 15 2014 umeabot <umeabot> 0.180.0-4.mga5
+ Revision: 748713
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.180.0-2.mga4
+ Revision: 531251
- Mageia 4 Mass Rebuild

* Fri Aug 02 2013 sander85 <sander85> 0.180.0-1.mga4
+ Revision: 462656
- update to 0.18

* Fri Jun 07 2013 jquelin <jquelin> 0.160.0-1.mga4
+ Revision: 439221
- update to 0.16

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-2.mga3
+ Revision: 366595
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 26 2011 jquelin <jquelin> 0.140.0-1.mga2
+ Revision: 148051
- update to 0.14

* Tue Aug 30 2011 jquelin <jquelin> 0.120.0-1.mga2
+ Revision: 136659
- update to 0.12

* Mon Feb 28 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 61710
- update to 0.06

* Mon Feb 28 2011 dmorgan <dmorgan> 0.40.0-1.mga1
+ Revision: 61691
- New version 0.04

* Wed Jan 26 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 41081
- mageia rebuild
- imported package perl-Dist-Zilla-PluginBundle-BINGOS

